## org.eclipse.datatools.modelbase.sql.routines
Interface Source

All Superinterfaces:
  SQLObject

All Known Implementing Classes:
  SourceImpl

public interface Source
extends SQLObject

A representation of the model object 'Source'. 4.23 SQL-invoked routines An SQL-invoked routine is described by a routine descriptor. A routine descriptor contains (among other things): - If the SQL-invoked routine is an SQL routine, then the SQL routine body of the SQL-invoked routine.

The following features are supported:

- `Body`

See Also:
  `SQLRoutinesPackage.getSource()`

Method Summary
`java.lang.String` `getBody()` Returns the value of the 'Body' attribute.
`void` `setBody(java.lang.String value)` Sets the value of the '`Body`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getBody

    public java.lang.String getBody()

  Returns the value of the 'Body' attribute.

  If the meaning of the 'Body' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Body' attribute.
  See Also:
    `setBody(String)`, `SQLRoutinesPackage.getSource_Body()`

### setBody

    public void setBody(java.lang.String value)

  Sets the value of the '`Body`' attribute.

  Parameters:
    `value` - the new value of the 'Body' attribute.
  See Also:
    `getBody()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.